package app.repositories;

import app.entities.ClassEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface ClassEntityRepository extends CrudRepository<ClassEntity,String> {
    Optional<ClassEntity> findByClassCode(String classCode);
}
